#####
###  Abracadabra Object - pre-configured objects with only one click
##   Copyright (C) 2002	Maik Jablonski (maik.jablonski@uni-bielefeld.de)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
###  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#####

from Globals import DTMLFile, InitializeClass
from urllib import quote
    	
def manage_addAbracadabraObject(self, id, object_id, title='', REQUEST=None, submit=None):
    """ Clones the object_id from the folder 'standard_object_folder' to
        the current container. """
	
    id=str(id)
    ob=self.manage_clone(getattr(self.standard_object_folder,object_id),id,REQUEST)
    ob.title=str(title)

    if REQUEST is not None:
        try: u=self.DestinationURL()
        except: u=REQUEST['URL1']

	if submit==" Edit Properties ":
	   if hasattr(ob.aq_explicit,'manage_propertiesForm'):
		u="%s/%s/manage_propertiesForm" % (u,quote(id))
	   else:
	        u="%s/%s/manage_main" % (u,quote(id))
		
        elif submit==" Add and Edit ":
		u="%s/%s/manage_main" % (u,quote(id))

	else:
		u="%s/manage_main" % (u)
		
	REQUEST.RESPONSE.redirect(u)

    return ''
       
           
manage_addAbracadabraObjectForm = DTMLFile('dtml/addAbracadabraObject', globals())

class AbracadabraObject:
    """ AbracadabraObject - pre-configured objects with only one click """

    meta_type="Abracadabra Object"

InitializeClass(AbracadabraObject)
